org.apache.myfaces.trinidad.context

## Class Window

- java.lang.Object
- - org.apache.myfaces.trinidad.context.Window

- All Implemented Interfaces:
    Serializable

      public abstract class Window
      extends Object
      implements Serializable

  Represents a Window in the current user's Session. Windows are created and vended by the Session's WindowManager and the Window for the current request is available from `WindowManager.getCurrentWindow`
  See Also:
    `WindowManager.getCurrentWindow(javax.faces.context.ExternalContext)`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Window.LifecycleState` Represents the current state of the Window.
    `static class` | `Window.Usage` Represents how the window is used in the application

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Window()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getId()`
    `abstract Window.LifecycleState` | `getLifecycleState()`
    `abstract Window.Usage` | `getUsage()` Returns the Usage of the Window--either a top-level frame or a dialog
    `abstract Map<String,Object>` | `getWindowMap()` Returns the Map for storing data associated with this Window object.
    `abstract boolean` | `isNew()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Window

          public Window()

  - ### Method Detail

    - #### getId

          public abstract String getId()

      Returns:
        The unique identifier for this Window within the Session

    - #### getLifecycleState

          public abstract Window.LifecycleState getLifecycleState()

      Returns:
        The current state of the Window

    - #### getUsage

          public abstract Window.Usage getUsage()

      Returns the Usage of the Window--either a top-level frame or a dialog
      Returns:
        how the window is used

    - #### isNew

          public abstract boolean isNew()

      Returns:
        `true` if the window's document hasn't been rendered since the Window was created.

    - #### getWindowMap

          public abstract Map<String,Object> getWindowMap()

      Returns the Map for storing data associated with this Window object. If the environment is configured for fail-over, the contents of this Map must be Serializable.
      Returns:
        The client data storage Map.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.